package com.nd.idaas.demo.config;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;

import com.nd.gaea.rest.AbstractWafWebApplicationInitializer;

/**
 * web项目的启动配置
 *
 * @author [ your name ]
 */

public class WafWebApplicationInitializer extends AbstractWafWebApplicationInitializer {

    @Override
    public void onStartup(ServletContext servletContext) throws ServletException {
        super.onStartup(servletContext);// 如果覆盖此方法，务必先调用这个方法，保证默认初始化

    }


    // 设置全局配置，包括安全以及数据仓储等
    @Override
    protected Class<?>[] getRootConfigClasses() {
        return new Class[]{ApiSecurityConfig.class};
    }

    // 设置web配置类
    @Override
    protected Class<?>[] getServletConfigClasses() {
        return new Class[]{WebConfig.class};
    }

    /**
     * 注册自定义的过滤器方法二 该方式注册的过滤器在安全认证过滤器TokenAuthenticationProcessFilter之前执行
     */

    @Override
    public void registerFilters(ServletContext servletContext) {}
}
